Subject: Amazon order #Order # 112-1660090-7300234
From: Melissa Vare <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 13 May 2025 19:03:16 +0000

Re: Madison Park 3M Microcell sheet set (queen, blush) purchased 2/3/25:

I've been using these sheets for less than 90 days (by the time I got them on my bed) and the underside of the top sheet is extremely pilled. The sheets were lovely initially but I've never seen them wear so quickly. Very unhappy. They should last longer than 90 days. I'd like to return them but Amazon's 30-day return window has closed. I tried to call your customer service line. I was on hold over 20 minutes with no answer.

Please let me know if I can send these back — at your return shipping cost — for a full refund. It appears I paid $26.09 + 7% tax = $27.92. If I don't hear from someone soon, I will leave a negative review and contact Amazon directly.

Thank you,

Melissa Vare
4539 N Pennsylvania St.   
Indianapolis, IN 46205
(317) 319-2769